/*
 * BoundaryConditionValidator.hpp
 *
 *  Created on: May 10, 2012
 *      Author: heber
 */

#ifndef BOUNDARYCONDITIONVALIDATOR_HPP_
#define BOUNDARYCONDITIONVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/DiscreteValidator.hpp"

/** This validator checks whether the given string is one keyword of a box
 * condition.
 */
class BoundaryConditionValidator : public DiscreteValidator<std::string>
{
public:
  BoundaryConditionValidator();
  bool isValid(const std::string & _value) const;
  const std::vector<std::string> &getValidValues() const;
  bool operator==(const Validator<std::string> &_instance) const;
  Validator< std::string >* clone() const;
private:
  mutable std::vector<std::string> currentList;
};


#endif /* BOUNDARYCONDITIONVALIDATOR_HPP_ */
